Subject: Re: linuxppc_2_4_devel patch: 8xx FEC extensions

From: Dan Malek <[email-masked]>
Date: Fri, 03 Jan 2003 18:01:42 -0500

Paul Mackerras wrote:

> If we have a variable which is being updated both by the mainline and
> an interrupt handler,...

In this case, it wasn't being updated by both.  It was updated in
an interrupt handler, then a mainline function would test the value later.
The mainline function had the optimization habit of caching the value
in a processor register since it didn't know it was being changed outside
of the scope of the function.  The volatile declaration works just fine
in this case.

Thanks.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/